<?php

$themename = "Autoworld";
$shortname = "as";

$categories = get_categories('hide_empty=0&orderby=name');
$wp_cats = array();
foreach ($categories as $category_list ) {
       $wp_cats[$category_list->cat_ID] = $category_list->cat_name;
}
array_unshift($wp_cats, "Выберите рубрику"); 

$options = array (
 
array( "name" => $themename." настройки",
	"type" => "title"),
 
array( "name" => "Главная",
	"type" => "section"),
array( "type" => "open"),

	
array( "name" => "Популярные рубрики на главной",
	"desc" => "Выберите рубрику в которой будут отображаться популярные записи",
	"id" => $shortname."_feat_cat",
	"type" => "select",
	"options" => $wp_cats,
	"std" => "Choose a category"),
	
array( "name" => "Количество панелей",
	"desc" => "выберите количество панелей",
	"id" => $shortname."_feat_count",
	"type" => "text",
	"std" => "3"),	

array( "type" => "close"),


array( "name" => "Реклама",
	"type" => "section"),
array( "type" => "open"),

	
	
array( "name" => "Ссылка на изображение баннера №1",
	"desc" => "Введите ссылку на изображение баннера №1",
	"id" => $shortname."_banner1",
	"type" => "text",
	"std" => ""),	

array( "name" => "Ссылка на сайт в баннере №1",
	"desc" => "Введите ссылку на сайт в баннере №1",
	"id" => $shortname."_url1",
	"type" => "text",
	"std" => ""),	


array( "name" => "Ссылка на изображение баннера №2",
	"desc" => "Введите ссылку на изображение баннера №2",
	"id" => $shortname."_banner2",
	"type" => "text",
	"std" => ""),	

array( "name" => "Ссылка на сайт в баннере №2",
	"desc" => "Введите ссылку на изображение баннера №2",
	"id" => $shortname."_url2",
	"type" => "text",
	"std" => ""),	

array( "name" => "Ссылка на изображение баннера №3",
	"desc" => "Введите ссылку на изображение баннера №3",
	"id" => $shortname."_banner3",
	"type" => "text",
	"std" => ""),	

array( "name" => "Ссылка на сайт в баннере №3",
	"desc" => "Введите ссылку на изображение баннера №3",
	"id" => $shortname."_url3",
	"type" => "text",
	"std" => ""),	

array( "name" => "Ссылка на изображение баннера №4",
	"desc" => "Введите ссылку на изображение баннера №4",
	"id" => $shortname."_banner4",
	"type" => "text",
	"std" => ""),	

array( "name" => "Ссылка на сайт в баннере №4",
	"desc" => "Введите ссылку на изображение баннера №4",
	"id" => $shortname."_url4",
	"type" => "text",
	"std" => ""),	
	
array( "type" => "close"),	

);


function mytheme_add_admin() {
 
global $themename, $shortname, $options;
 
if ( $_GET['page'] == basename(__FILE__) ) {
 
	if ( 'save' == $_REQUEST['action'] ) {
 
		foreach ($options as $value) {
		update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
 
foreach ($options as $value) {
	if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
 
	header("Location: admin.php?page=theme_options.php&saved=true");
die;
 
} 
else if( 'reset' == $_REQUEST['action'] ) {
 
	foreach ($options as $value) {
		delete_option( $value['id'] ); }
 
	header("Location: admin.php?page=functions.php&reset=true");
die;
 
}
}
 
add_menu_page($themename, $themename, 'administrator', basename(__FILE__), 'mytheme_admin');
}

function mytheme_add_init() {

$file_dir=get_bloginfo('template_directory');
wp_enqueue_style("functions", $file_dir."/functions.css", false, "1.0", "all");
wp_enqueue_script("rm_script", $file_dir."/js/rm_script.js", false, "1.0");

}
function mytheme_admin() {
 
global $themename, $shortname, $options;
$i=0;
 
if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки '.$themename.' сохранены.</strong></p></div>';
if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки '.$themename.' сброшены.</strong></p></div>';
 
?>
<div class="wrap rm_wrap">
<h2><?php echo $themename; ?> настройки</h2>
 
<div class="rm_opts">
<form method="post">
<?php foreach ($options as $value) {
switch ( $value['type'] ) {
 
case "open":
?>
 
<?php break;
 
case "close":
?>
 
</div>
</div>
<br />

 
<?php break;
 
case "title":
?>
<p>Чтобы изменить настройки темы <?php echo $themename;?>, используйте меню снизу.</p>

 
<?php break;
 
case 'text':
?>

<div class="rm_input rm_text">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
 	<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id'])  ); } else { echo $value['std']; } ?>" />
 <small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
 
 </div>
<?php
break;
 
case 'textarea':
?>

<div class="rm_input rm_textarea">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
 	<textarea name="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id']) ); } else { echo $value['std']; } ?></textarea>
 <small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
 
 </div>
  
<?php
break;
 
case 'select':
?>

<div class="rm_input rm_select">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
	
<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?>
		<option <?php if (get_settings( $value['id'] ) == $option) { echo 'selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?>
</select>

	<small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
</div>
<?php
break;
 
case "checkbox":
?>

<div class="rm_input rm_checkbox">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
	
<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />


	<small><?php echo $value['desc']; ?></small><div class="clearfix"></div>
 </div>
<?php break; 
case "section":

$i++;

?>

<div class="rm_section">
<div class="rm_title"><h3><img src="<?php bloginfo('template_directory')?>/functions/images/trans.gif" class="inactive" alt="""><?php echo $value['name']; ?></h3><span class="submit"><input name="save<?php echo $i; ?>" type="submit" value="Сохранить" />
</span><div class="clearfix"></div></div>
<div class="rm_options">

 
<?php break;
 
}
}
?>
 
<input type="hidden" name="action" value="Сохранить" />
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Сбросить" />
<input type="hidden" name="action" value="Сбросить" />
</p>
</form>
<div style="font-size:9px; margin-bottom:10px;">Иконки: <a href="http://www.woothemes.com/2009/09/woofunction/">WooFunction</a></div>
 </div> 
 

<?php
}
?>
<?php
add_action('admin_init', 'mytheme_add_init');
add_action('admin_menu', 'mytheme_add_admin');
?>